package cn.iocoder.yudao.module.system.service.errorrecord;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.errorrecord.vo.ErrorRecordPageReqVO;
import cn.iocoder.yudao.module.system.dal.dataobject.errorrecord.ErrorRecordDO;

import javax.validation.Valid;

/**
 * 车辆异常记录 Service 接口
 *
 * @author 芋道源码
 */
public interface ErrorRecordService {
    /**
     * 新增异常记录
     */
    void save(ErrorRecordDO errorRecordDO);

    /**
     * 分页列表
     *
     * @param pageReqVO
     * @return
     */
    PageResult<ErrorRecordDO> getErrorRecordPage(@Valid ErrorRecordPageReqVO pageReqVO);
}
