package cn.iocoder.yudao.module.system.controller.admin.errorrecord.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import jakarta.validation.constraints.*;

@Schema(description = "管理后台 - 车辆异常记录新增/修改 Request VO")
@Data
public class ErrorRecordSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "7461")
    private Long id;

    @Schema(description = "AGV编号")
    private String robotNo;

    @Schema(description = "告警等级(1-4)")
    private Integer level;

    @Schema(description = "异常Id")
    private String errCode;

    @Schema(description = "告警信息")
    private String errMsg;

}